Name:			dates
Version:		0.4.6
Release:		3%{?dist}
Summary:		Small, lightweight calendar

Group:			Applications/Productivity
License:		GPLv2+
URL:			http://pimlico-project.org/dates.html
Source0:		http://pimlico-project.org/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:			%{name}-0.4.6-config.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):		/sbin/ldconfig
Requires(postun):	/sbin/ldconfig

BuildRequires:  	gtk2-devel
BuildRequires:		evolution-data-server-devel >= 1.2.0
BuildRequires:		desktop-file-utils intltool gettext

Obsoletes:		%{name}-devel <= 0.4.4


%description
Dates is a small, lightweight calendar that uses Evolution Data Server as a
backend. Dates features an innovative, unified, zooming view and is designed
for use on primarily hand-held devices. It features both a ‘vanilla’ GTK
user interface and tailored support for the Nokia 770 maemo interface.


%prep
%setup -q
%patch0 -p1


%build
%configure --disable-debug
make %{?_smp_mflags} 
sed -i 's/SingleInstance/X-SingleInstance/' data/%{name}.desktop


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --add-category X-Fedora				\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang Dates


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig


%files -f Dates.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_mandir}/man*/*
%{_datadir}/icons/hicolor/*/apps/dates.*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_bindir}/%{name}


%changelog
* Fri Feb 27 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.4.6-3
- Fixed build failure.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 16 2008 Denis Leroy <denis@poolshark.org> - 0.4.6-1
- Update to upstream 0.4.6

* Thu Feb 14 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.5-2
- Autorebuild for GCC 4.3

* Fri Dec 14 2007 Denis Leroy <denis@poolshark.org> - 0.4.5-1
- Update to upstream 0.4.5
- Updated URL
- Header files no longer installed, obsoleting devel package

* Fri Aug 17 2007 Denis Leroy <denis@poolshark.org> - 0.4.4-2
- Updated License tag

* Mon Jul 16 2007 Denis Leroy <denis@poolshark.org> - 0.4.4-1
- Update to 0.4.4, bug fixes

* Mon Jul  9 2007 Denis Leroy <denis@poolshark.org> - 0.4.3-1
- Update to 0.4.3
- Added X prefix to SingleInstance in desktop file

* Sat Jun  2 2007 Denis Leroy <denis@poolshark.org> - 0.4.2-1
- Update to upstream 0.4.2 release

* Tue Apr 10 2007 Jesse Keating <jkeating@redhat.com> - 0.3.1-1
- New upstream release

* Fri Dec 15 2006 Jesse Keating <jkeating@redhat.com> - 0.2-1
- new upstream release

* Mon Oct 30 2006 Jesse Keating <jkeating@redhat.com> - 0.1-5.20060813svn
- rebuild for new eds

* Thu Aug 31 2006 Jesse Keating <jkeating@redhat.com> - 0.1-4.20060813svn
- rebuild

* Sun Aug 27 2006 Jesse Keating <jkeating@redhat.com> - 0.1-3.20060813svn
- rebuild

* Mon Aug 14 2006 Jesse Keating <jkeating@redhat.com> - 0.1-2.20060813svn
- Add some requires to -devel based on .pc contents

* Sun Aug 13 2006 Jesse Keating <jkeating@redhat.com> - 0.1-1.20060813svn
- Initial package for review
